# Visualization
TKMeshVS
MeshVS

# MeshVS_TextPrsBuilder Class Reference

This class provides methods to create text data presentation.
It store map of texts assigned with nodes or elements.
.

`#include <MeshVS_TextPrsBuilder.hxx>`

Inheritance diagram for MeshVS_TextPrsBuilder:

[legend]

## Public Member Functions

Standard_EXPORT | MeshVS_TextPrsBuilder (const Handle(MeshVS_Mesh)&Parent, const Standard_Real Height, const Quantity_Color &Color, const MeshVS_DisplayModeFlags &Flags=MeshVS_DMF_TextDataPrs, const Handle(MeshVS_DataSource)&DS=0, const Standard_Integer Id=-1, const MeshVS_BuilderPriority &Priority=MeshVS_BP_Text)
virtual Standard_EXPORT void | Build (const Handle(Prs3d_Presentation)&Prs, const TColStd_PackedMapOfInteger &IDs, TColStd_PackedMapOfInteger &IDsToExclude, const Standard_Boolean IsElement, const Standard_Integer theDisplayMode) const
| Builds presentation of text data .
Standard_EXPORT const MeshVS_DataMapOfIntegerAsciiString & | GetTexts (const Standard_Boolean IsElement) const
| Returns map of text assigned with nodes ( IsElement = False ) or elements ( IsElement = True ) .
Standard_EXPORT void | SetTexts (const Standard_Boolean IsElement, const MeshVS_DataMapOfIntegerAsciiString &Map)
| Sets map of text assigned with nodes or elements .
Standard_EXPORT Standard_Boolean | HasTexts (const Standard_Boolean IsElement) const
| Returns True if map isn't empty .
Standard_EXPORT Standard_Boolean | GetText (const Standard_Boolean IsElement, const Standard_Integer ID, TCollection_AsciiString &Text) const
| Returns text assigned with single node or element .
Standard_EXPORT void | SetText (const Standard_Boolean IsElement, const Standard_Integer ID, const TCollection_AsciiString &Text)
| Sets text assigned with single node or element .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MeshVS_DataMapOfIntegerAsciiString | myNodeTextMap
MeshVS_DataMapOfIntegerAsciiString | myElemTextMap

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_TextPrsBuilder::MeshVS_TextPrsBuilder | ( | const Handle(MeshVS_Mesh)& | Parent,
|  | const Standard_Real | Height,
|  | const Quantity_Color & | Color,
|  | const MeshVS_DisplayModeFlags & | Flags = `MeshVS_DMF_TextDataPrs`,
|  | const Handle(MeshVS_DataSource)& | DS = `0`,
|  | const Standard_Integer | Id = `-1`,
|  | const MeshVS_BuilderPriority & | Priority = `MeshVS_BP_Text`
| ) |

## Member Function Documentation

virtual Standard_EXPORT void MeshVS_TextPrsBuilder::Build | ( | const Handle(Prs3d_Presentation)& | Prs,
|  | const TColStd_PackedMapOfInteger & | IDs,
|  | TColStd_PackedMapOfInteger & | IDsToExclude,
|  | const Standard_Boolean | IsElement,
|  | const Standard_Integer | theDisplayMode
| ) | const`[virtual]`

| Implements MeshVS_PrsBuilder.

Standard_EXPORT Standard_Boolean MeshVS_TextPrsBuilder::GetText | ( | const Standard_Boolean | IsElement,
|  | const Standard_Integer | ID,
|  | TCollection_AsciiString & | Text
| ) | const

Standard_EXPORT const MeshVS_DataMapOfIntegerAsciiString& MeshVS_TextPrsBuilder::GetTexts | ( | const Standard_Boolean | IsElement | ) | const

Standard_EXPORT const MeshVS_TextPrsBuilder::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MeshVS_PrsBuilder.

Standard_EXPORT Standard_Boolean MeshVS_TextPrsBuilder::HasTexts | ( | const Standard_Boolean | IsElement | ) | const

Standard_EXPORT void MeshVS_TextPrsBuilder::SetText | ( | const Standard_Boolean | IsElement,
|  | const Standard_Integer | ID,
|  | const TCollection_AsciiString & | Text
| ) |

Standard_EXPORT void MeshVS_TextPrsBuilder::SetTexts | ( | const Standard_Boolean | IsElement,
|  | const MeshVS_DataMapOfIntegerAsciiString & | Map
| ) |

## Field Documentation

MeshVS_DataMapOfIntegerAsciiString MeshVS_TextPrsBuilder::myElemTextMap `[private]`

MeshVS_DataMapOfIntegerAsciiString MeshVS_TextPrsBuilder::myNodeTextMap `[private]`

The documentation for this class was generated from the following file:

- MeshVS_TextPrsBuilder.hxx